## cl-launch 3.000

=== Makefile ===
# See 00INSTALL for instructions.

# Tweak this configuration to your preferences:
PREFIX ?= /usr/local
INSTALL_BIN ?= ${PREFIX}/bin
INSTALL_SOURCE ?= ${PREFIX}/share/common-lisp/source/cl-launch
INSTALL_SYSTEMS ?= ${PREFIX}/share/common-lisp/systems
LISPS ?= sbcl clisp ccl ecl cmucl gclcvs lispworks allegro gcl

# No user-serviceable part below
CL_LAUNCH := ./cl-launch.sh

install: install_binary install_source install_system

install_binary: install_binary_standalone

install_source:
	@echo "Installing Lisp source code for cl-launch in ${INSTALL_SOURCE}"
	@mkdir -p ${INSTALL_SOURCE}/
	@${CL_LAUNCH} --include ${INSTALL_SOURCE} -B install_path > /dev/null

install_system: install_source
	@echo "Linking .asd file for cl-launch into ${INSTALL_SYSTEMS}/"
	@mkdir -p ${INSTALL_SYSTEMS}/
	@if [ `dirname ${INSTALL_SYSTEMS}`/source/cl-launch = ${INSTALL_SOURCE} ] ; then \
		ln -sf ../source/cl-launch/cl-launch.asd ${INSTALL_SYSTEMS}/ ; \
	else \
		ln -sf ${INSTALL_SOURCE}/cl-launch.asd ${INSTALL_SYSTEMS}/ ; \
	fi

install_binary_standalone:
	@echo "Installing a standalone binary of cl-launch in ${INSTALL_BIN}/"
	@sh ./cl-launch.sh --no-include --no-rc \
		--lisp '$(LISPS)' \
		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null

install-with-include: install_binary_with_include install_source install_system

install_binary_with_include:
	@echo "Installing a binary of cl-launch in ${INSTALL_BIN}/"
	@echo "that will (by default) link its output to the code in ${INSTALL_SOURCE}"
	@sh ./cl-launch.sh --include ${INSTALL_SOURCE} --rc \
		--lisp '$(LISPS)' \
		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null

clean:
	-rm -f build.xcvb cl-launch cl-launch.asd launcher.lisp wrapper.sh
	-cd debian ; rm -f cl-launch.debhelper.log cl-launch.postinst.debhelper cl-launch.prerm.debhelper cl-launch.substvars files
	-rm -rf debian/cl-launch

## cl-launch 3.001

=== Makefile ===
--- 
+++ 
@@ -47,3 +47,10 @@
 	-rm -f build.xcvb cl-launch cl-launch.asd launcher.lisp wrapper.sh
 	-cd debian ; rm -f cl-launch.debhelper.log cl-launch.postinst.debhelper cl-launch.prerm.debhelper cl-launch.substvars files
 	-rm -rf debian/cl-launch
+
+debian-package:
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-tag --git-retag
+
+# This fits my own system. YMMV. Try make install for a more traditional install
+reinstall:
+	make install_system PREFIX=$${HOME}/.local

=== debian/control ===
Source: cl-launch
Section: lisp
Priority: optional
Maintainer: Francois-Rene Rideau <fare@tunes.org>
Uploaders: Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
Build-Depends: debhelper (>= 7.2.8)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.8.4

Package: cl-launch
Architecture: all
Depends: ${misc:Depends}
Suggests: cl-asdf (>= 2:2.005)
Recommends: common-lisp-controller (>= 7.3), sbcl (>= 1:1.0.40)
Breaks: cl-asdf (<< 2:2.000), common-lisp-controller (<= 7.2)
Description: uniform frontend to running Common Lisp code from the shell
 CL-Launch will allow you to invoke Common Lisp source code from the shell
 command line or from a shell script. It will also allow you to turn your
 Common Lisp source programs into standalone executables or executable shell
 scripts (optionally using a dumped image), depending on the features
 available in your underlying implementation.
 .
 CL-Launch will automatically detect a supported Common Lisp implementation
 and use adequate invocation options. It can also be configured to fit exactly
 the programmer's desires. Fully supported implementations are:
        Allegro, CLISP, ClozureCL, CMUCL, ECL, GCL 2.7, SBCL, SCL.
 Of these, SBCL, ECL and CLISP support creating standalone executables.
 Partially supported implementations are:
        LispWorks Professional, ABCL, GCL 2.6.
 .
 CL-Launch also offers Common Lisp programs a simple uniform interface to
 invocation parameters (command-line arguments and environment variables).
 It relies on ASDF 2 for system construction. See the ASDF 2 manual for
 more information on how to configure source and object code location.
 CL-Launch may dump memory images for fast startup (at the expense of disk
 space). It can also be used as a quick way to evaluate and print simple Lisp
 forms or scripts from the command-line without invoking a full-fledged REPL,
 and to easily compare results between implementations.
 .
Homepage: http://www.cliki.net/cl-launch

## cl-launch 3.008

=== debian/changelog ===
cl-launch (3.008-1) unstable; urgency=low

  * Always upgrade ASDF before use.
    Avoids horrible bugs due to ASDF being upgraded while being used.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 13 Apr 2011 01:08:53 -0400

cl-launch (3.007-1) unstable; urgency=low

  * Support XCL (requires ASDF 2.014.2)
  * Fix $abcl -> $ABCL in ABCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 31 Mar 2011 10:53:35 -0400

cl-launch (3.006-1) unstable; urgency=low

  * Remove some debugging output left by mistake.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 20 Mar 2011 13:54:26 -0400

cl-launch (3.005-1) unstable; urgency=low

  * Fix print_lisp_setup, broken by recent ASDF2-related changes.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 04 Nov 2010 14:52:10 -0400

cl-launch (3.004-1) unstable; urgency=low

  * Fix support for ABCL at 0.22.0
  * Be ready for ASDF 2.010 as it requires absolute pathnames in source registry.
  * Avoid some warnings in allegro

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 21 Oct 2010 13:49:59 -0700

cl-launch (3.003-1) unstable; urgency=low

  * Don't try to load ASDF when not needed. When needed, follow XDG.
  * Also try to fix ECL.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 23 Sep 2010 14:10:39 -0400

cl-launch (3.002-1) unstable; urgency=low

  * Fix CLISP support broken by bad editing in 3.001.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 17 Sep 2010 17:43:24 -0400

cl-launch (3.001-1) unstable; urgency=low

  * Add limited ABCL and SCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 17 Aug 2010 14:40:59 -0400

cl-launch (3.000-1) unstable; urgency=low

  * Release cl-launch 3 to work with ASDF 2.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 09 Jun 2010 16:30:15 -0400

cl-launch (2.907-1) unstable; urgency=low

  * eliminate a warning when compiling with ECL.
  * simplify the hash bang form.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 05 May 2010 11:22:24 -0400

cl-launch (2.906-2) unstable; urgency=low

  * Update debian package information
  * Switch to dpkg-source 3.0 (quilt) format

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Apr 2010 12:30:34 -0400

cl-launch (2.906-1) unstable; urgency=low

  * improve support for LispWorks and Allegro.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Apr 2010 10:03:26 -0400

cl-launch (2.905-1) unstable; urgency=low

  * don't import find-system, use asdf:find-system.
  * shuffle code around to make ecl and gcl happy:
    ecl won't load asdf.lisp, only a compiled version, so oblige.
    gcl 2.6 happy w/o asdf.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 28 Apr 2010 20:24:46 -0400

cl-launch (2.904-1) unstable; urgency=low

  * correctly hush cl_fragment in all cases -- YEAH!
  * require ASDF 1.702.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 15 Apr 2010 22:33:35 -0400

cl-launch (2.903-1) unstable; urgency=low

  * play better with recent XCVB by depending on ASDF 2.
  * better verbose treatment when loading from stream.
  * depend on ASDF 1.677.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 14 Apr 2010 02:13:27 -0400

cl-launch (2.902-1) unstable; urgency=low

  * ASDF 2 tweak: have cl-launch.asd depend on asdf.asd to avoid asdf upgrade nightmare.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 03 Apr 2010 00:24:55 -0400

cl-launch (2.901-1) unstable; urgency=low

  * ASDF 2 support: add --source-registry, deprecate --path and co.
  * Fix ASDF loading again (dolist has an implicit block nil).
  * Update tests.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 19 Mar 2010 00:59:49 -0400

cl-launch (2.900-1) unstable; urgency=low

  * New CL-Launch, to be used with ASDF 2, and dropping support for ASDF 1.
    This preliminary version is called 2.900.
    TODO: add proper support for source-registry, clean things up, etc.
    When ASDF 2 is released, we should release cl-launch 3.000 with it.
    Maybe also take heed of Xach's http://www.xach.com/lisp/buildapp/

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 18 Mar 2010 22:47:42 -0400

cl-launch (2.36-1) unstable; urgency=low

  * Note that c-l-c's support for ECL is fixed in 7.0.
  * Recommend c-l-c 7.0 in the debian control.
  * disable output redirection with asdf2 (has its own system, AOT).
  * Reformat loops

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 04 Feb 2010 01:19:39 -0500

cl-launch (2.35-1) unstable; urgency=low

  * Avoid some potential warnings with *asdf-path*: don't refer to a special
    in the non-toplevel form where I'm defining it.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 17 Nov 2009 13:54:39 -0500

cl-launch (2.34-1) unstable; urgency=low

  * in exclude-from-cache, ignore empty strings as well as NILs

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 09 Nov 2009 22:34:28 -0500

cl-launch (2.33-1) unstable; urgency=low

  * Fixed ECL support. Passes full 234 tests with the latest 9.11.1 from CVS:
        cl-launch -l ecl -B tests

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 09 Nov 2009 09:46:41 -0500

cl-launch (2.32-1) unstable; urgency=low

  * better debugging for :load
  * TODO: fix ecl which has regressed since 0.x

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 08 Nov 2009 14:53:13 -0500

cl-launch (2.31-1) unstable; urgency=low

  * modify resume so that it's easier to start from an image
    that has cl-launch loaded but not configured.
  * passed tests with
         cl-launch -l clisp -B shell_tests
         cl-launch -l 'sbcl ccl ecl' -B tests

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 06 Nov 2009 11:21:34 -0500

cl-launch (2.30-1) unstable; urgency=low

  * use XCVB .403 enhanced :build-depends-on support for Lisp modules.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 20 Oct 2009 20:24:16 -0400

cl-launch (2.29-1) unstable; urgency=low

  * don't try to exclude root if it is disabled.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 20 Oct 2009 20:24:10 -0400

cl-launch (2.28-1) unstable; urgency=low

  * unbreak arguments for clisp



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: cl-launch
 Architecture: all

## cl-launch 3.011

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,16 @@
 INSTALL_BIN ?= ${PREFIX}/bin
 INSTALL_SOURCE ?= ${PREFIX}/share/common-lisp/source/cl-launch
 INSTALL_SYSTEMS ?= ${PREFIX}/share/common-lisp/systems
-LISPS ?= sbcl clisp ccl ecl cmucl gclcvs lispworks allegro gcl
+LISPS ?= sbcl clisp ccl ecl cmucl gclcvs lispworks allegro gcl abcl scl
 
 # No user-serviceable part below
 CL_LAUNCH := ./cl-launch.sh
+
+all: source
+
+source:
+	@echo "Building Lisp source code for cl-launch in current directory"
+	@${CL_LAUNCH} --include ${PWD} -B install_path > /dev/null
 
 install: install_binary install_source install_system
 
@@ -44,13 +50,36 @@
 		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null
 
 clean:
+	-rm -f *.*fasl *.*fsl *.fas *.lib *.x86f *.amd64f *.o
 	-rm -f build.xcvb cl-launch cl-launch.asd launcher.lisp wrapper.sh
+	-rm -f clt.image clt-out.sh.orig clt-preimage.lisp clt-sys.lisp clt.log clt.preimage clt-preimage.sh clt-asd.asd clt-out.sh clt-preimage.fasl clt-src.lisp tests.log
 	-cd debian ; rm -f cl-launch.debhelper.log cl-launch.postinst.debhelper cl-launch.prerm.debhelper cl-launch.substvars files
-	-rm -rf debian/cl-launch
 
-debian-package:
-	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-tag --git-retag
+mrproper: clean
+	-rm -rf debian/cl-launch .pc/ build-stamp debian/patches/ debian/debhelper.log # debian crap
+
+debian-package: mrproper
+	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
 
 # This fits my own system. YMMV. Try make install for a more traditional install
 reinstall:
 	make install_system PREFIX=$${HOME}/.local
+
+test:
+	./cl-launch.sh -l "${LISPS}" -B tests
+
+WRONGFUL_TAGS := RELEASE upstream
+# Delete wrongful tags from local repository
+fix-local-git-tags:
+	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done
+
+# Delete wrongful tags from remote repository
+fix-remote-git-tags:
+	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-origin} :refs/tags/$$i ; done
+
+push:
+	git status
+	git push --tags origin master
+	git fetch
+	git status

=== debian/changelog ===
cl-launch (3.011-1) unstable; urgency=low

  * CCL now has standalone applications!
  * Use (require "asdf") instead of (require :asdf) because of CLISP.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 07 Jun 2011 18:09:00 -0400

cl-launch (3.010-1) unstable; urgency=low

  * --final argument (in 3.009) allows to run a form
   *before* the image is dumped. To do the right thing on ECL,
   you probably want to use #. to do at read-time
   things that must be done while building.

  * Have cl-launch.asd depend on ASDF 2.015. Actually,
    ASDF must be upgraded to 2.015 *before* anything that
    system that depends on ASDF and relies on any ASDF extensions
    is loaded.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 31 May 2011 15:02:23 -0400

## cl-launch 3.013

=== debian/changelog ===
cl-launch (3.013-1) unstable; urgency=low

  * Gratuitous upgrade to achieve a patchless debian package.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 20:29:59 -0400

cl-launch (3.012-1) unstable; urgency=low

  * Simple optimization assuming recentish CMUCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 26 Sep 2011 17:53:04 -0400

## cl-launch 3.016

=== Makefile ===
--- 
+++ 
@@ -66,6 +66,10 @@
 reinstall:
 	make install_system PREFIX=$${HOME}/.local
 
+# This might fit your system, installing from same directory
+reinstall_here:
+	make install_source INSTALL_SOURCE=$$PWD
+
 test:
 	./cl-launch.sh -l "${LISPS}" -B tests

=== debian/changelog ===
cl-launch (3.016-1) unstable; urgency=low

  * More fixes for ABCL, CLISP, ECL, GCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 18 Oct 2011 23:44:28 -0400

cl-launch (3.015-1) unstable; urgency=low

  * CLISP: don't (setf *source-file-types* nil custom:*compiled-file-types nil)
    anymore, because it prevents (require "linux") from working.
  * ASDF: it's best to always (asdf:load-system :asdf) as soon as we have ASDF2
    so refactor load-asdf accordingly.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 18 Oct 2011 19:29:03 -0400

cl-launch (3.014-1) unstable; urgency=low

  * XCL now has --noinform, use it!

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 21:57:08 -0400

cl-launch (3.013-2) unstable; urgency=low

  * Bring it to the latest debian standards

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 29 Sep 2011 21:57:08 -0400

## cl-launch 3.018

=== Makefile ===
--- 
+++ 
@@ -59,8 +59,11 @@
 	-rm -rf debian/cl-launch .pc/ build-stamp debian/patches/ debian/debhelper.log # debian crap
 
 debian-package: mrproper
+	git clean -xfd
 	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
 	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	lintian -c --fail-on-warnings ../cl-launch_*.changes
+	git clean -xfd
 
 # This fits my own system. YMMV. Try make install for a more traditional install
 reinstall:
@@ -87,3 +90,19 @@
 	git push --tags origin master
 	git fetch
 	git status
+
+debian-package-all: debian-package
+	./cl-launch.sh --include . -B install_path
+	./cl-launch.sh --no-include -o cl-launch -B install_bin
+	VER=$$(git describe --tags --match '?.???') ; \
+	cd .. && \
+	  tar zcf ~/files/cl-launch/cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
+	  cp cl-launch/cl-launch.sh ~/files/cl-launch/cl-launch.sh && \
+	  mv cl-launch_$${VER}* ~/files/cl-launch/ && \
+	cd ~/files/cl-launch && \
+	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
+	  gpg -b -a cl-launch-$${VER}.tar.gz && \
+	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
+	  ln -sf cl-launch-$${VER}.tar.gz.asc cl-launch.tar.gz.asc && \
+	  dput mentors cl-launch_$${VER}-1_amd64.changes
+	rsync -av --delete ~/files/cl-launch/ common-lisp.net:/project/xcvb/public_html/cl-launch/

=== debian/changelog ===
cl-launch (3.018-1) unstable; urgency=low

  * Work with the newest SBCL's sb-ext:exit replacing sb-ext:quit.
  * Document that GCL is dead, and how to produce a LispWorks image.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 14 May 2012 14:05:33 -0400

cl-launch (3.017-1) unstable; urgency=low

  * let cl-launch work with XCVB even when asdf.asd isn't installed.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 03 Mar 2012 21:19:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: cl-launch
 Section: lisp
 Priority: optional
+Homepage: http://www.cliki.net/cl-launch
 Maintainer: Francois-Rene Rideau <fare@tunes.org>
-Uploaders: Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
+Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper (>= 7.2.8)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: cl-launch
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: cl-asdf (>= 2:2.005)
+Suggests: cl-asdf (>= 2:2.015)
 Recommends: common-lisp-controller (>= 7.3), sbcl (>= 1:1.0.40)
-Breaks: cl-asdf (<< 2:2.000), common-lisp-controller (<= 7.2)
+Breaks: cl-asdf (<< 2:2.015), common-lisp-controller (<= 7.2)
 Description: uniform frontend to running Common Lisp code from the shell
  CL-Launch will allow you to invoke Common Lisp source code from the shell
  command line or from a shell script. It will also allow you to turn your
@@ -26,7 +27,7 @@
         Allegro, CLISP, ClozureCL, CMUCL, ECL, GCL 2.7, SBCL, SCL.
  Of these, SBCL, ECL and CLISP support creating standalone executables.
  Partially supported implementations are:
-        LispWorks Professional, ABCL, GCL 2.6.
+        LispWorks Professional, ABCL, GCL 2.6, XCL.
  .
  CL-Launch also offers Common Lisp programs a simple uniform interface to
  invocation parameters (command-line arguments and environment variables).

## cl-launch 3.22

=== Makefile ===
--- 
+++ 
@@ -60,8 +60,8 @@
 
 debian-package: mrproper
 	git clean -xfd
-	RELEASE="$$(git tag -l '3.0[0-9][0-9]' | tail -n 1)" ; \
-	git-buildpackage --git-debian-branch=master --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	RELEASE="$$(git tag -l '3.[0-9][0-9]' | tail -n 1)" ; \
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-upstream-tag=$$RELEASE --git-tag --git-retag --git-ignore-branch
 	lintian -c --fail-on-warnings ../cl-launch_*.changes
 	git clean -xfd
 
@@ -71,7 +71,7 @@
 
 # This might fit your system, installing from same directory
 reinstall_here:
-	make install_source INSTALL_SOURCE=$$PWD
+	make install_source install_binary_standalone INSTALL_SOURCE=$$PWD INSTALL_BIN=$$PWD
 
 test:
 	./cl-launch.sh -l "${LISPS}" -B tests
@@ -106,3 +106,9 @@
 	  ln -sf cl-launch-$${VER}.tar.gz.asc cl-launch.tar.gz.asc && \
 	  dput mentors cl-launch_$${VER}-1_amd64.changes
 	rsync -av --delete ~/files/cl-launch/ common-lisp.net:/project/xcvb/public_html/cl-launch/
+
+quickrelease: reinstall_here
+	VER=`./cl-launch.sh --version | ( read a b ; echo $$b )` ; \
+	cd .. && \
+	tar zcf cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
+	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/cl-launch/

## cl-launch 3.22.1

=== Makefile ===
--- 
+++ 
@@ -111,4 +111,5 @@
 	VER=`./cl-launch.sh --version | ( read a b ; echo $$b )` ; \
 	cd .. && \
 	tar zcf cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
-	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/cl-launch/
+	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/public_html/cl-launch/ && \
+	ssh common-lisp.net ln -sf cl-launch-$${VER}.tar.gz /project/xcvb/public_html/cl-launch/cl-launch.tar.gz

=== debian/changelog ===
cl-launch (3.22.1-1) unstable; urgency=low

  * Tweak to hush ASDF upgrade. Minor edit of documentation.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 16 May 2013 01:22:49 -0400

cl-launch (3.22-1) unstable; urgency=low

  * Release of cl-launch to match ASDF 3.0.0

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 16 May 2013 01:22:49 -0400

cl-launch (3.019-1) unstable; urgency=low

  * Use TMPDIR, not TMP.
  * Ensure directories from getenv or not read as file pathnames.
  * Preliminary support for MKCL

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 15 Oct 2012 19:49:12 -0400

## cl-launch 4.0.4

=== Makefile ===
--- 
+++ 
@@ -50,20 +50,12 @@
 		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null
 
 clean:
-	-rm -f *.*fasl *.*fsl *.fas *.lib *.x86f *.amd64f *.o
-	-rm -f build.xcvb cl-launch cl-launch.asd launcher.lisp wrapper.sh
-	-rm -f clt.image clt-out.sh.orig clt-preimage.lisp clt-sys.lisp clt.log clt.preimage clt-preimage.sh clt-asd.asd clt-out.sh clt-preimage.fasl clt-src.lisp tests.log
-	-cd debian ; rm -f cl-launch.debhelper.log cl-launch.postinst.debhelper cl-launch.prerm.debhelper cl-launch.substvars files
+	git clean -xfd
 
 mrproper: clean
-	-rm -rf debian/cl-launch .pc/ build-stamp debian/patches/ debian/debhelper.log # debian crap
 
 debian-package: mrproper
-	git clean -xfd
-	RELEASE="$$(git tag -l '3.[0-9][0-9]' | tail -n 1)" ; \
-	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-upstream-tag=$$RELEASE --git-tag --git-retag --git-ignore-branch
-	lintian -c --fail-on-warnings ../cl-launch_*.changes
-	git clean -xfd
+	./release.lisp debian-package
 
 # This fits my own system. YMMV. Try make install for a more traditional install
 reinstall:
@@ -71,6 +63,7 @@
 
 # This might fit your system, installing from same directory
 reinstall_here:
+	-git clean -xfd
 	make install_source install_binary_standalone INSTALL_SOURCE=$$PWD INSTALL_BIN=$$PWD
 
 test:
@@ -91,25 +84,8 @@
 	git fetch
 	git status
 
-debian-package-all: debian-package
-	./cl-launch.sh --include . -B install_path
-	./cl-launch.sh --no-include -o cl-launch -B install_bin
-	VER=$$(git describe --tags --match '?.???') ; \
-	cd .. && \
-	  tar zcf ~/files/cl-launch/cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
-	  cp cl-launch/cl-launch.sh ~/files/cl-launch/cl-launch.sh && \
-	  mv cl-launch_$${VER}* ~/files/cl-launch/ && \
-	cd ~/files/cl-launch && \
-	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
-	  gpg -b -a cl-launch-$${VER}.tar.gz && \
-	  ln -sf cl-launch-$${VER}.tar.gz cl-launch.tar.gz && \
-	  ln -sf cl-launch-$${VER}.tar.gz.asc cl-launch.tar.gz.asc && \
-	  dput mentors cl-launch_$${VER}-1_amd64.changes
-	rsync -av --delete ~/files/cl-launch/ common-lisp.net:/project/xcvb/public_html/cl-launch/
+debian-package-all:
+	./release.lisp debian-package-all
 
 quickrelease: reinstall_here
-	VER=`./cl-launch.sh --version | ( read a b ; echo $$b )` ; \
-	cd .. && \
-	tar zcf cl-launch-$${VER}.tar.gz --exclude .git cl-launch && \
-	rsync -av cl-launch/cl-launch.sh cl-launch-$${VER}.tar.gz common-lisp.net:/project/xcvb/public_html/cl-launch/ && \
-	ssh common-lisp.net ln -sf cl-launch-$${VER}.tar.gz /project/xcvb/public_html/cl-launch/cl-launch.tar.gz
+	./release.lisp quickrelease

=== debian/changelog ===
cl-launch (4.0.4-1) unstable; urgency=low

  * Try even harder to load ASDF.
  * Update documentation, version numbers, etc. Improve release.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 26 Apr 2014 12:36:51 -0400

cl-launch (4.0.3-1) unstable; urgency=low

  * ~/common-lisp/ not ~/cl/ is where ASDF 3.1 standardizes
    the location of per-user CL software.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 23 Mar 2014 18:13:21 -0400

cl-launch (4.0.2.2-1) unstable; urgency=low

  * Package control via --package and --system-package
  * --entry is now a variant of --restart, not of --init.
  * Fixes for ECL, LispWorks.
  * Tests moved aside, which reduces script size by over 10%.
  * ARGV0 support, in conjunction with ASDF 3.1.0.87.
  * Documentation updated, as well as TODO file.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 03 Mar 2014 22:03:38 -0500

cl-launch (4.0.1.1-3) unstable; urgency=low

  * Speed up startup time by not upgrading ASDF unless needed.
  * Fix 4.0.0 bugs: support old implementations with older ASDF;
    unbreak working from cl-launch dumped image.
  * Add alias -E for --entry.
  * Eat our own dogfood with a CL release script.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 28 Feb 2014 18:28:26 -0500

cl-launch (4.0.0-1) unstable; urgency=low

  * Build with --eval --require --file --system in order of appearance.
    No more limitation to one optional file, one optional system.
    Note that --eval is before dump, --init is after dump.
  * Unix interpreter style invocation: /usr/bin/cl script arguments...
  * Require ASDF3 and its UIOP. No more headbanging with ASDF2.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 27 Feb 2014 16:49:30 -0500

=== debian/control ===
Source: cl-launch
Section: lisp
Priority: optional
Homepage: http://www.cliki.net/cl-launch
Maintainer: Francois-Rene Rideau <fare@tunes.org>
Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>, Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 7.2.8)
Standards-Version: 3.9.3
Vcs-Git: git://common-lisp.net/projects/xcvb/cl-launch.git

Package: cl-launch
Architecture: all
Depends: ${misc:Depends}
Suggests: cl-asdf (>= 2:3.0.0)
Recommends: sbcl (>= 1:1.1.10), cl-asdf (>= 3.0.1)
Breaks: cl-asdf (<< 2:2.015), common-lisp-controller (<= 7.2)
Description: uniform frontend to running Common Lisp code from the shell
 CL-Launch will allow you to invoke Common Lisp source code from the shell
 command line, from a shell script or as a Common Lisp script. It will also
 allow you to turn your Common Lisp source programs into standalone
 executables or executable shell scripts (optionally using a dumped image),
 depending on the features available in your underlying implementation.
 .
 CL-Launch will automatically detect a supported Common Lisp implementation
 and use adequate invocation options. It can also be configured to fit exactly
 the programmer's desires. Fully supported implementations are:
        Allegro, CLISP, ClozureCL, CMUCL, ECL, SBCL, SCL.
 Partially supported implementations are:
        LispWorks Professional, ABCL, GCL, XCL.
 Creating standalone executables is supported on:
        CLISP, ClozureCL, CMUCL, LispWorks, SBCL, SCL
 .
 CL-Launch also offers Common Lisp programs a simple uniform interface to
 invocation parameters (command-line arguments and environment variables).
 It relies on ASDF 3 for system construction. See the ASDF 3 manual for
 more information on how to configure source and object code location.
 CL-Launch may dump memory images for fast startup (at the expense of disk
 space). It can also be used as a quick way to evaluate and print simple Lisp
 forms or scripts from the command-line without invoking a full-fledged REPL,
 and to easily compare results between implementations.
 .

## cl-launch 4.1

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@echo "Building Lisp source code for cl-launch in current directory"
 	@${CL_LAUNCH} --include ${PWD} -B install_path > /dev/null
 
-install: install_binary install_source install_system
+install: install_binary install_source install_system install_cl
 
 install_binary: install_binary_standalone
 
@@ -48,6 +48,18 @@
 	@sh ./cl-launch.sh --include ${INSTALL_SOURCE} --rc \
 		--lisp '$(LISPS)' \
 		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null
+
+cl-shim: cl-shim.c
+	cc -Os -s -W -Wall -Werror -DCL_LAUNCH_SCRIPT="\"${INSTALL_BIN}/cl-launch\"" -o $@ $<
+
+ifeq ($(shell uname), Linux)
+install_cl: install_binary
+	ln -s cl-launch ${INSTALL_BIN}/cl
+else
+install_cl: cl-shim
+	cp -p cl-shim ${INSTALL_BIN}/cl
+endif
+
 
 clean:
 	git clean -xfd

=== debian/changelog ===
cl-launch (4.1-2) unstable; urgency=low

  * Convert help to markdown, extract man page from it.
  * Fix support for :require dependencies

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 19 Aug 2014 22:45:10 -0400

cl-launch (4.0.8-1) unstable; urgency=low

  * Improve --load dependencies so they depend on previously loaded systems.
    This generalizes to all platforms the technique so far used only by ECL.
  * Integrate prototypical examples in the head of the manual.
  * Fix various bugs in some cases when dumping images.
  * Various small tweaks.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 01 Aug 2014 22:06:37 -0400

cl-launch (4.0.7-1) unstable; urgency=low

  * Give Quicklisp a chance to download dependencies:
    use ql:quickload instead of asdf:load-system.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 24 Jul 2014 15:42:02 -0400

cl-launch (4.0.6-1) unstable; urgency=low

  * Separate --load and --file; fix --file - feature.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 14 Jun 2014 03:25:27 -0400

cl-launch (4.0.5-1) unstable; urgency=low

  * Fix issues when dumping image on ECL: handle --eval correctly,
    avoid a costly initialization of source-registry when unnecessary.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 13 Jun 2014 13:32:46 -0400

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl-launch
debpkg		:= cl-launch

DESTDIR         := debian/$(debpkg)
clc-source      := usr/share/common-lisp/source
clc-systems     := usr/share/common-lisp/systems
include_dir	:= $(clc-source)/$(pkg)
doc-dir         := usr/share/doc/$(debpkg)


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	sh ./cl-launch.sh \
		--include /${include_dir} \
		--lisp "sbcl ccl clisp abcl cmucl ecl mkcl allegro lispworks scl gcl xcl" \
		--rc \
		-B generate_install_files
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f cl-launch cl-launch.asd launcher.lisp wrapper.sh build.xcvb
	rm -f debian/cl-launch.postinst.* debian/cl-launch.prerm.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs -p ${debpkg} $(include_dir) $(doc-dir)
	dh_install -i cl-launch usr/bin
	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb ${include_dir}
	dh_installman -i debian/*.1


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## cl-launch 4.1.4

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	@echo "Installing Lisp source code for cl-launch in ${INSTALL_SOURCE}"
 	@mkdir -p ${INSTALL_SOURCE}/
 	@${CL_LAUNCH} --include ${INSTALL_SOURCE} -B install_path > /dev/null
+	@if [ ! $${PWD} = ${INSTALL_SOURCE} ] ; then \
+		@cp dispatch.lisp ${INSTALL_SOURCE}/ ; \
+	fi
 
 install_system: install_source
 	@echo "Linking .asd file for cl-launch into ${INSTALL_SYSTEMS}/"
@@ -66,7 +69,7 @@
 
 mrproper: clean
 
-debian-package: mrproper
+debian-package: source
 	./release.lisp debian-package
 
 # This fits my own system. YMMV. Try make install for a more traditional install
@@ -96,7 +99,7 @@
 	git fetch
 	git status
 
-debian-package-all:
+debian-package-all: source
 	./release.lisp debian-package-all
 
 quickrelease: reinstall_here

=== debian/changelog ===
cl-launch (4.1.4-1) unstable; urgency=low

  * Don't forget to install dispatch.lisp as source!
  * Minor tweaks for dispatch.lisp.
  * Minor documentation update.
  * Update LispWorks support for LW 7.0.0
  * Remove support for ASDF < 3.1.2

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 21 Jul 2015 23:31:13 -0400

cl-launch (4.1.3-1) unstable; urgency=low

  * New options --system-main and --dispatch-system
  * updated manual and release script

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 22 Apr 2015 15:01:28 -0400

cl-launch (4.1.2-2) unstable; urgency=low

  * Multiple entry binaries with --dispatched-entry,
    mostly compatible with Xach's buildapp.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 01 Apr 2015 01:09:11 -0400

cl-launch (4.1.1-1) unstable; urgency=low

  * Portability: better fallbacks for implementations without a recent ASDF,
    better support for ecl_bytecodes, make cl-shim work on BSD.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 02 Mar 2015 17:58:34 -0500

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Homepage: http://www.cliki.net/cl-launch
 Maintainer: Francois-Rene Rideau <fare@tunes.org>
 Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>, Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>= 7.2.8)
-Standards-Version: 3.9.3
-Vcs-Git: git://common-lisp.net/projects/xcvb/cl-launch.git
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6.1
+Vcs-Git: https://gitlab.common-lisp.net/xcvb/cl-launch.git
 
 Package: cl-launch
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: cl-asdf (>= 2:3.0.0)
-Recommends: sbcl (>= 1:1.1.10), cl-asdf (>= 3.0.1)
-Breaks: cl-asdf (<< 2:2.015), common-lisp-controller (<= 7.2)
+Suggests: cl-asdf (>= 2:3.1.4)
+Recommends: sbcl (>= 1:1.2.3), cl-asdf (>= 2:3.1.2)
+Breaks: cl-asdf (<= 2:3.1.1), common-lisp-controller (<= 7.3)
 Description: uniform frontend to running Common Lisp code from the shell
  CL-Launch will allow you to invoke Common Lisp source code from the shell
  command line, from a shell script or as a Common Lisp script. It will also
@@ -24,7 +24,7 @@
  CL-Launch will automatically detect a supported Common Lisp implementation
  and use adequate invocation options. It can also be configured to fit exactly
  the programmer's desires. Fully supported implementations are:
-        Allegro, CLISP, ClozureCL, CMUCL, ECL, SBCL, SCL.
+        Allegro, CLISP, ClozureCL, CMUCL, ECL, MKCL, SBCL, SCL.
  Partially supported implementations are:
         LispWorks Professional, ABCL, GCL, XCL.
  Creating standalone executables is supported on:

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,8 @@
 	dh_clean
 	dh_installdirs -p ${debpkg} $(include_dir) $(doc-dir)
 	dh_install -i cl-launch usr/bin
-	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb ${include_dir}
+	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb \
+		dispatch.lisp ${include_dir}
 	dh_installman -i debian/*.1

## cl-launch 4.1.4.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 source:
 	@echo "Building Lisp source code for cl-launch in current directory"
-	@${CL_LAUNCH} --include ${PWD} -B install_path > /dev/null
+	@${CL_LAUNCH} --include "$${PWD}" -B install_path > /dev/null
 
 install: install_binary install_source install_system install_cl
 
@@ -22,26 +22,26 @@
 
 install_source:
 	@echo "Installing Lisp source code for cl-launch in ${INSTALL_SOURCE}"
-	@mkdir -p ${INSTALL_SOURCE}/
-	@${CL_LAUNCH} --include ${INSTALL_SOURCE} -B install_path > /dev/null
-	@if [ ! $${PWD} = ${INSTALL_SOURCE} ] ; then \
-		@cp dispatch.lisp ${INSTALL_SOURCE}/ ; \
+	@mkdir -p "${INSTALL_SOURCE}/"
+	@${CL_LAUNCH} --include "${INSTALL_SOURCE}" -B install_path > /dev/null
+	@if [ ! "$${PWD}" = "${INSTALL_SOURCE}" ] ; then \
+		cp dispatch.lisp "${INSTALL_SOURCE}/" ; \
 	fi
 
 install_system: install_source
 	@echo "Linking .asd file for cl-launch into ${INSTALL_SYSTEMS}/"
-	@mkdir -p ${INSTALL_SYSTEMS}/
-	@if [ `dirname ${INSTALL_SYSTEMS}`/source/cl-launch = ${INSTALL_SOURCE} ] ; then \
-		ln -sf ../source/cl-launch/cl-launch.asd ${INSTALL_SYSTEMS}/ ; \
+	@mkdir -p "${INSTALL_SYSTEMS}/"
+	@if [ "`dirname '${INSTALL_SYSTEMS}'`/source/cl-launch" = "${INSTALL_SOURCE}" ] ; then \
+		ln -sf ../source/cl-launch/cl-launch.asd "${INSTALL_SYSTEMS}/" ; \
 	else \
-		ln -sf ${INSTALL_SOURCE}/cl-launch.asd ${INSTALL_SYSTEMS}/ ; \
+		ln -sf "${INSTALL_SOURCE}/cl-launch.asd" "${INSTALL_SYSTEMS}/" ; \
 	fi
 
 install_binary_standalone:
 	@echo "Installing a standalone binary of cl-launch in ${INSTALL_BIN}/"
 	@sh ./cl-launch.sh --no-include --no-rc \
 		--lisp '$(LISPS)' \
-		--output ${INSTALL_BIN}/cl-launch -B install_bin > /dev/null
+		--output '${INSTALL_BIN}/cl-launch' -B install_bin > /dev/null
 
 install-with-include: install_binary_with_include install_source install_system
 
@@ -57,7 +57,7 @@
 
 ifeq ($(shell uname), Linux)
 install_cl: install_binary
-	ln -s cl-launch ${INSTALL_BIN}/cl
+	ln -sf cl-launch ${INSTALL_BIN}/cl
 else
 install_cl: cl-shim
 	cp -p cl-shim ${INSTALL_BIN}/cl
@@ -79,9 +79,9 @@
 # This might fit your system, installing from same directory
 reinstall_here:
 	-git clean -xfd
-	make install_source install_binary_standalone INSTALL_SOURCE=$$PWD INSTALL_BIN=$$PWD
+	make install_source install_binary_standalone INSTALL_SOURCE="$${PWD}" INSTALL_BIN="$${PWD}"
 
-test:
+tests:
 	./cl-launch.sh -l "${LISPS}" -B tests
 
 WRONGFUL_TAGS := RELEASE upstream

=== debian/changelog ===
cl-launch (4.1.4.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Seems all maintainers+uploaders are inactive, thus orphaning the package
    Closes: #928583
  * Set Vcs fields to Common Lisp Team on Salsa
  * d/watch:
     - Secure URI
     - Version=5
  * d/copyright: Secure URIs
  * d/rules: short dh
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 3.22.1-1, 3.22-1, 2.36-1, and others
  * Remove Suggests: cl-asdf  since its also in Recommends
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Dec 2025 15:13:10 +0100

cl-launch (4.1.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:18:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: cl-launch
+Standards-Version: 4.7.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: lisp
-Priority: optional
-Homepage: http://www.cliki.net/cl-launch
-Maintainer: Francois-Rene Rideau <fare@tunes.org>
-Uploaders: Christoph Egger <christoph@debian.org>, Kan-Ru Chen <koster@debian.org>, Milan Zamazal <pdm@debian.org>, Peter Van Eynde <pvaneynd@debian.org>, Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6.1
-Vcs-Git: https://gitlab.common-lisp.net/xcvb/cl-launch.git
+Build-Depends:
+ debhelper-compat (= 13),
+ sbcl <!nocheck>,
+ cl-asdf <!nocheck>,
+Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-launch
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-launch.git
+Homepage: https://www.cliki.net/cl-launch
 
 Package: cl-launch
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: cl-asdf (>= 2:3.1.4)
-Recommends: sbcl (>= 1:1.2.3), cl-asdf (>= 2:3.1.2)
-Breaks: cl-asdf (<= 2:3.1.1), common-lisp-controller (<= 7.3)
+Depends:
+ ${misc:Depends},
+Recommends:
+ sbcl,
+ cl-asdf,
+Breaks:
+ common-lisp-controller (<= 7.3),
 Description: uniform frontend to running Common Lisp code from the shell
  CL-Launch will allow you to invoke Common Lisp source code from the shell
  command line, from a shell script or as a Common Lisp script. It will also
@@ -38,4 +43,3 @@
  space). It can also be used as a quick way to evaluate and print simple Lisp
  forms or scripts from the command-line without invoking a full-fledged REPL,
  and to easily compare results between implementations.
- .

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl-launch
debpkg		:= cl-launch

DESTDIR         := debian/$(debpkg)
clc-source      := usr/share/common-lisp/source
clc-systems     := usr/share/common-lisp/systems
include_dir	:= $(clc-source)/$(pkg)
doc-dir         := usr/share/doc/$(debpkg)


%:
	dh $@

override_dh_auto_clean:
	echo "Upstream clean target is just cleaning up git repository"

override_dh_auto_configure:
	sh ./cl-launch.sh \
		--include /${include_dir} \
		--lisp "sbcl ccl clisp abcl cmucl ecl mkcl allegro lispworks scl gcl xcl" \
		--rc \
		-B generate_install_files

#override_dh_auto_test:
#	echo "Skipping tests"

override_dh_auto_install:
	dh_installdirs -p ${debpkg} $(include_dir) $(doc-dir)
	dh_install -i launcher.lisp wrapper.sh cl-launch.asd build.xcvb \
		dispatch.lisp ${include_dir}

=== debian/watch ===
Version: 5

Source: https://common-lisp.net/project/xcvb/@PACKAGE@
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
